<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <variable
            name="item"
            type="com.example.hellofolk.model.data.Post" />

        <variable
            name="listener"
            type="com.example.hellofolk.utils.ItemClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:clickable="true"
        android:focusable="true"
        android:onClick="@{()->listener.onClick(item)}"
        android:layout_height="wrap_content">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/imageView"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginStart="30dp"
            android:layout_marginTop="16dp"
            android:importantForAccessibility="no"
            android:src="@drawable/ic_img"
            android:scaleType="centerCrop"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:srcCompat="@tools:sample/avatars" />

        <TextView
            android:id="@+id/nameTV"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            android:textColor="@color/black"
            android:textSize="18sp"
            android:textStyle="bold"
            android:text="@{item.user.name}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toEndOf="@+id/imageView"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="User Name" />

        <TextView
            android:id="@+id/dateTV"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="16dp"
            android:textSize="12sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@+id/nameTV"
            app:layout_constraintTop_toBottomOf="@+id/nameTV"
            android:text="FRI , FEB 26 " />

        <TextView
            android:id="@+id/titleTV"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="30dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="16dp"
            android:text="@{item.title}"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/imageView"
            tools:text="Lorem ipsum dolor sit amet, consectetur adipiscing elit." />
        <TextView
            android:id="@+id/bodyTV"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="30dp"
            android:layout_marginTop="7dp"
            android:layout_marginEnd="16dp"
            android:ellipsize="end"
            android:lines="5"
            android:text="@{item.body}"
            android:maxLines="5"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/titleTV"
            tools:text="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Urna proin nibh lectus interdum nunc, orci nibh egestas. Imperdiet molestie vestibulum lorem quis. Ut quam odio interdum fames odio pretium at at id. Nisl tempor feugiat vivamus et malesuada mauris arcu ...see more" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>